QGIS Application - Bug report #1402
Open attribute table hangs when a ShapeFile layer has usaved changes
2008-11-14 01:36 AM - zachariahyoder -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 11462
Description

To reproduce:
Won't produce error:
a) Simply open the attributes table window on a [[ShapeFile]] layer
Will produce error:
a) Change the layer to editable
b) Add a new point
c) Open the attributes table

The memory usage will then increase about about 1G (in my test example). Of course this then causes the system to run slowly if you
don't have that much memory!

This seems very similar to #1198, however there is no [[PostGIS]] involved. Are they related?

I notice there are two memory leak fixes that involved [[PostGIS]] NULL values, but again, this doesn't involve [[PostGIS]]. r8217, r6391

History

#1 - 2008-11-14 02:10 AM - zachariahyoder -

There was also no copying involved in producing this error.

#2 - 2009-01-04 08:15 PM - christop -

This bug also appears with:

- 0.11.0-Metis built against code revision 9842

- on Debian lenny 64 bits.

#3 - 2009-01-07 11:17 AM - Maciej Sieczka -

Please test with 1.0 preview release from QGIS download page and report back here.

#4 - 2009-01-18 11:30 PM - zachariahyoder -

- Resolution set to worksforme

- Status changed from Open to Closed
Thanks! It works in 1.0.0-Kore-preview1.

#5 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted
